Name:          offheap-store
Version:       2.2.2
Release:       1%{?dist}
Summary:       Java library that offers data structures allocated off the Java Heap
License:       ASL 2.0
URL:           https://github.com/Terracotta-OSS/offheap-store/
Source0:       https://github.com/Terracotta-OSS/offheap-store/archive/v%{version}/offheap-store-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
# BuildRequires: mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires: mvn(org.apache.rat:apache-rat-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.jfree:jfreechart)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-jdk14)
BuildRequires: /usr/bin/asciidoc

BuildArch:     noarch

%description
OffHeap Store is a library that provides a set of map and
cache implementations that store data outside of the normal
Java heap. Additionally it provides a bunch of interesting
things to support these functions that might be interesting
in isolation to some people.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%pom_remove_plugin :findbugs-maven-plugin

# Unwanted tasks
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%pom_remove_plugin :maven-failsafe-plugin

%pom_change_dep :jfreechart org.jfree:

%pom_xpath_set "pom:packaging" bundle
%pom_xpath_inject "pom:plugin[pom:artifactId = 'maven-bundle-plugin' ]" '
 <extensions>true</extensions>'

%pom_xpath_inject "pom:plugin[pom:artifactId = 'apache-rat-plugin' ]/pom:configuration/pom:excludes" '
  <exclude>.xmvn/**</exclude>'

# incompatible types: org.objectweb.asm.commons.RemappingClassAdapter cannot be converted to org.objectweb.asm.ClassVisitor
rm -r src/test/java/org/terracotta/offheapstore/storage/portability/serializable
#asm:asm,asm-commons:3.3.1
%pom_remove_dep asm:

%mvn_file org.terracotta:%{name} %{name}

%build

%mvn_build

asciidoc -n -b html5 -a toc2 -a toclevels=3 -o README.html README.adoc

%install
%mvn_install

%files -f .mfiles
%doc README.html
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Aug 25 2016 gil cattaneo <puntogil@libero.it> 2.2.2-1
- update to 2.2.2

* Mon May 02 2016 gil cattaneo <puntogil@libero.it> 2.2.1-1
- initial rpm

